This method will patch an existing category with the specified ID, using the HTTP PATCH specification.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/awards/awards-v1/categories/{tenantId}/{id}
- https://awards.api.rhythmsoftware.comhttps://awards.api.rhythmsoftware.com/categories/{tenantId}/{id}
curl -i -X PATCH \
'https://docs.api.rhythmsoftware.com/_mock/apis/awards/awards-v1/categories/{tenantId}/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '[
{
"op": "add",
"path": "string",
"value": "string"
}
]'The category was patched successfully.
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
{ "award_id": "string", "display_order": 0.1, "id": "string", "name": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }